# The thumbnail cache directory.
# On Windows this defaults to %TEMP%\mpv_thumbs_cache,
# and on other platforms to ${TEMP} or ${XDG_CACHE_HOME} or /tmp in the subfolder mpv_thumbs_cache
# The directory will be created automatically, but must be writeable!
# Use absolute paths, and take note that environment variables like %TEMP% are unsupported (despite the default)!
# cache_directory=

# Whether to generate thumbnails automatically on video load, without a keypress
# Defaults to yes
autogenerate=yes

# Only automatically thumbnail videos shorter than this (in seconds)
# You will have to press T (or your own keybind) to enable the thumbnail previews
# Set to 0 to disable the check, ie. thumbnail videos no matter how long they are
# Defaults to 3600 (one hour)
autogenerate_max_duration=0

# Use mpv to generate thumbnail even if ffmpeg is found in PATH
# ffmpeg is slightly faster than mpv but lacks support for ordered chapters in MKVs,
# which can break the resulting thumbnails. You have been warned.
# Defaults to yes (don't use ffmpeg)
prefer_mpv=yes

# Explicitly disable subtitles on the mpv sub-calls
# mpv can and will by default render subtitles into the thumbnails.
# If this is not what you wish, set mpv_no_sub to yes
# Defaults to no
mpv_no_sub=no

# Enable to disable the built-in keybind ("T") to add your own, see after the block
# Defaults to no
disable_keybinds=no

# The maximum dimensions of the thumbnails, in pixels
# Defaults to 200 and 200
thumbnail_width=200
thumbnail_height=200

# The thumbnail count target
# (This will result in a thumbnail every ~10 seconds for a 25 minute video)
# Defaults to 150
thumbnail_count=150

# The above target count will be adjusted by the minimum and
# maximum time difference between thumbnails.
# The thumbnail_count will be used to calculate a target separation,
# and min/max_delta will be used to constrict it.

# In other words, thumbnails will be:
# - at least min_delta seconds apart (limiting the amount)
# - at most max_delta seconds apart (raising the amount if needed)
# Defaults to 5 and 90, values are seconds
min_delta=5
max_delta=90
# 120 seconds aka 2 minutes will add more thumbnails only when the video is over 5 hours long!

# Parameter that mpv should use for hardware decoding
# If properly configured can really improve thumbnail generation speed and cpu load
# Default to no, see https://mpv.io/manual/master/#options-hwdec for the values
mpv_hwdec=no

# Parameter that mpv should use for seeking
# yes extracts the exact frame
# no extracts the closest keyframe, faster but less precise
# Default to yes
mpv_hr_seek=yes


# Remote options


# Below are overrides for remote urls (you generally want less thumbnails, because it's slow!)
# Thumbnailing network paths will be done with mpv (leveraging youtube-dl)

# Allow thumbnailing network paths (naive check for "://")
# Defaults to no
thumbnail_network=no

# Same as autogenerate_max_duration but for remote videos
# Defaults to 1200 (20 minutes)
remote_autogenerate_max_duration=1200
# Override thumbnail count, min/max delta, as above
remote_thumbnail_count=60
remote_min_delta=15
remote_max_delta=120

# Try to grab the raw stream and disable ytdl for the mpv subcalls
# Much faster than passing the url to ytdl again, but may cause problems with some sites
# Defaults to yes
remote_direct_stream=yes

# Enable storyboards (requires yt-dlp in PATH). Currently only supports YouTube and Twitch VoDs
# Defaults to yes
storyboard_enable=yes
# Max thumbnails for storyboards. It only skips processing some of the downloaded thumbnails and doesn't make it much faster
# Defaults to 800
storyboard_max_thumbnail_count=800
# Most storyboard thumbnails are 160x90. Enabling this allows upscaling them up to thumbnail_height
# Defaults to no
storyboard_upscale=no


# Display options


# Move the thumbnail up or down
# For example:
#   topbar/bottombar: 24 (default)
#   rest: 0
vertical_offset=24

# Adjust background padding
# Examples:
#   topbar:       0, 10, 10, 10
#   bottombar    10,  0, 10, 10 (default)
#   slimbox/box: 10, 10, 10, 10
pad_top=10
pad_bot=0
pad_left=10
pad_right=10

# If enabled pad values are screen-pixels, else video-pixels.
# Defaults to yes
pad_in_screenspace=yes

# Calculate pad into the offset
# Defaults to yes
offset_by_pad=yes

# Background color in BBGGRR
background_color=000000

# Alpha: 0 - fully opaque, 255 - transparent
# Defaults to 80
background_alpha=80

# Keep thumbnail on the screen near left or right side
# Defaults to yes
constrain_to_screen=yes

# Do not display the thumbnailing progress
# Defaults to no
hide_progress=no
